Package org.eclipse.ui.part

## Class MessagePage

- java.lang.Object
- - org.eclipse.ui.part.Page
  - - org.eclipse.ui.part.MessagePage

All Implemented Interfaces:
  `IPage`, `IPageBookViewPage`

    public class MessagePage
    extends Page

A message page display a message in a pagebook view.

This class may be instantiated; it is not intended to be subclassed.

See Also:
  `PageBookView`
Restriction:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
`MessagePage()` Creates a new page.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createControl​(Composite parent)` Creates the SWT control for this page under the given parent control.
`Control` `getControl()` The `Page` implementation of this `IPage` method returns `null`.
`void` `setFocus()` Sets focus to a part in the page.
`void` `setMessage​(String message)` Sets the message to the given string.

### Methods inherited from class org.eclipse.ui.part.Page

`dispose, getSite, init, makeContributions, setActionBars`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MessagePage

    public MessagePage()

Creates a new page. The message is the empty string.

### Method Detail

#### createControl

    public void createControl​(Composite parent)

Description copied from interface: `IPage`
Creates the SWT control for this page under the given parent control.

Clients should not call this method (the workbench calls this method when it needs to, which may be never).

Specified by:
  `createControl` in interface `IPage`
Specified by:
  `createControl` in class `Page`
Parameters:
  `parent` - the parent control

#### getControl

    public Control getControl()

Description copied from class: `Page`
The `Page` implementation of this `IPage` method returns `null`. Subclasses must reimplement.

Specified by:
  `getControl` in interface `IPage`
Specified by:
  `getControl` in class `Page`
Returns:
  the SWT control for this page, or `null` if this page does not have a control

#### setFocus

    public void setFocus()

Sets focus to a part in the page.

Specified by:
  `setFocus` in interface `IPage`
Specified by:
  `setFocus` in class `Page`

#### setMessage

    public void setMessage​(String message)

Sets the message to the given string.

Parameters:
  `message` - the message text